#include <Servo.h>

  int motor1Pin = 3;    // H-bridge leg 1 (pin 2, 1A)
  int motor2Pin = 4;    // H-bridge leg 2 (pin 7, 2A)
  int motor3Pin = 5;    // H-bridge leg 3 (pin 10, 3A)
  int motor4Pin = 6;    // H-bridge leg 4 (pin 15, 4A)
  int enablePin1 = 9;    // H-bridge enable pin
  int enablePin2 = 10;    // H-bridge enable pin

  int distance;

  //servo configs
  int lastPos = 190;
  int pos;
  int servoPin = 7;
  Servo myservo;
 
  void setup() { 
    // set all the other pins you're using as outputs:
    pinMode(motor1Pin, OUTPUT); 
    pinMode(motor2Pin, OUTPUT); 
    pinMode(motor3Pin, OUTPUT);
    pinMode(motor4Pin, OUTPUT);
    pinMode(enablePin1, OUTPUT);
    pinMode(enablePin2, OUTPUT);

    // set enablePin high so that motor can turn on:
    digitalWrite(enablePin1, HIGH); 
    digitalWrite(enablePin2, HIGH); 
    
    Serial.begin(9600);
    myservo.attach(servoPin);
    myservo.write(190);
  }

  void loop()
  {
    if(distance < 320)
    {
      forward();
    }else{
      turn();
    }
    
    if(lastPos = 190) {servo140();}
    else {servo190();}
  }
  
  
void servo190(){
   for(pos = 140; pos < 190; pos++)
     {
       myservo.write(pos);
       lastPos = pos;
       distance = analogRead(5);
       delay(10);
     }
}

void servo140(){
   for(pos = 190; pos > 140; pos--)
     {
       myservo.write(pos);
       lastPos = pos;
       distance = analogRead(5);
       delay(10);
     }
}

void forward()
{
      digitalWrite(motor1Pin, LOW); 
      digitalWrite(motor2Pin, HIGH); 
      digitalWrite(motor3Pin, HIGH);
      digitalWrite(motor4Pin, LOW);
}

void turn()
{
      digitalWrite(motor1Pin, HIGH); 
      digitalWrite(motor2Pin, LOW); 
      digitalWrite(motor3Pin, HIGH);
      digitalWrite(motor4Pin, LOW);
}
